/{organizationId}/{mandateId}/crm/contractsCreate a contract for a plan and a contact
Required permissions:
mandate.read
plan.read
contract.insert
Permissions depending on contact type:
contact:member
contact:address
contact:customer
contact:sponsor
contact:contributor
contact:employee
contact:supplier
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
startAtstringrequired contactIdstringrequired planIdstringrequired endAtstring | nulloptional flexibleIntervalstring | nulloptional Options:
monthquarterhalfYearyearfixedAmountinteger | nulloptional minimum: 0
maximum: 9999999999
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/contracts' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"options": [
"string"
],
"startAt": "string",
"pause": {
"ruleId": "string",
"startAt": "string",
"endAt": "string"
},
"contactId": "string",
"planId": "string"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
ObjectId as string
Response
{
"_id": "000000000000000000000001"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}